FSCK_UDF(8) | System Manager's Manual | FSCK_UDF(8)

# NAME

`fsck_udf` — Universal Disk Format file system consistency checker

# SYNOPSIS

`fsck_udf` | `-p` [`-fH`] file system ...

`fsck_udf` | [`-fHnSsy`] file system ...

# DESCRIPTION

The `fsck_udf` utility verifies and repairs Universal Disk Format file systems (more commonly known as UDF file systems).

The first form of `fsck_udf` preens the specified file systems. It is normally started by fsck(8) run from /etc/rc during automatic reboot, when an UDF file system is detected. When preening file systems, `fsck_udf` will fix common inconsistencies non-interactively. If more serious problems are found, `fsck_udf` does not try to fix them, indicates that it was not successful, and exits.

The second form of `fsck_udf` checks the specified file systems and tries to repair all detected inconsistencies, requesting confirmation before making any changes.

The options are as follows:

`-f`
  Force detailed checking even when file system is marked closed.
`-H`
  Enables heuristic repair options repairing known corruptions in the wild caused by bugs.
`-n`
  Causes `fsck_udf` to assume no as the answer to all operator questions.
`-p`
  Preen the specified file systems.
`-S`
  Causes `fsck_udf` to scan for older VAT tables on recordable media. This allows older snapshots of the file system on recordable media to be recovered.
`-s` session
  Select session session to be checked on recordable media. This allows older sessions of the file system on recordable media to be recovered.
`-y`
  Causes `fsck_udf` to assume yes as the answer to all operator questions.

# SEE ALSO

fsck(8), fsck_ffs(8), mount_udf(8)

# HISTORY

A `fsck_udf` utility appeared in NetBSD 10.0.

# BUGS

`fsck_udf` is still under construction. Not all possible reparations are implemented.

February 6, 2022 | NetBSD 11.0